Go to advanced search

by akaodin
Mon Jun 03, 2019 3:41 pm
Forum: Networking and servers
Topic: DNS conflict
Replies: 8
Views: 462

Re: DNS conflict

Found it. My bad. I had earlier made the ip address of Rasvr static. I completely missed the setting in /etc/dcpcd.conf. No wonder everything seemed wrong. Well chalk up 4 days to experience (and frustration).
by akaodin
Sun Jun 02, 2019 10:37 pm
Forum: Networking and servers
Topic: DNS conflict
Replies: 8
Views: 462

Re: DNS conflict

Thx for the valuable info. However, the fixes have not seemed to help, or I followed your instructions wrong; 1. /etc/avahi/hosts all lines are commented out /etc/hosts are the same in both RPis 2. machine-ids WERE the same. i changed the machine-id of the newer Raspi using dbus-uuidgen --ensure=/et...
by akaodin
Sun Jun 02, 2019 7:35 pm
Forum: Networking and servers
Topic: DNS conflict
Replies: 8
Views: 462

Re: DNS conflict

Sorry, but I don't know what else the issue can be other than a DNS conflict (presumably with itself)
by akaodin
Sun Jun 02, 2019 5:57 pm
Forum: Networking and servers
Topic: DNS conflict
Replies: 8
Views: 462

DNS conflict

Driving me insane. I have a Raspberry Pi 3B named Rasvr. Recently I purchased another and named it Raspi. I made a duplicate copy of the Rasvr SD card and installed it into Raspi. I tried to make all the correct adjustments for hostname. Both rely on DHCP for network addresses. Rasvr is 192.168.1.20...
by akaodin
Sun Jan 06, 2019 10:26 pm
Forum: Raspbian
Topic: Correct version of DBI for perl 5,24
Replies: 20
Views: 1066

Re: Correct version of DBI for perl 5,24

WOW!!!!!!!!! I have spent the last 2 weeks trying to solve this problem, then I just happened upon the reply from DougieLawson on another forum topic. I created the small revert.sql he suggested and executed into myqsl. Cleared everything up in an instant. Finally.
by akaodin
Sun Jan 06, 2019 9:13 pm
Forum: Raspbian
Topic: Correct version of DBI for perl 5,24
Replies: 20
Views: 1066

Re: Correct version of DBI for perl 5,24

WOW!!!!!!!!! I have spent the last 2 weeks trying to solve this problem, then I just happened upon the reply from DougieLawson on another forum topic. I created the small revert.sql he suggested and executed into myqsl. Cleared everything up in an instant. Finally.
by akaodin
Sun Jan 06, 2019 9:11 pm
Forum: Troubleshooting
Topic: MariaDB instead MySQL on Raspberry Pi ?!?!
Replies: 9
Views: 21636

Re: MariaDB instead MySQL on Raspberry Pi ?!?!

WOW!!!!!!!!! I have spent the last 2 weeks trying to solve this problem, then I just happened upon the reply from DougieLawson - one of my favorite responders. I created the small revert.sql and executed into myqsl. Cleared everything up in an instant. Can't thank you enough.
by akaodin
Sat Jan 05, 2019 11:36 pm
Forum: Raspbian
Topic: Correct version of DBI for perl 5,24
Replies: 20
Views: 1066

Re: Correct version of DBI for perl 5,24

Well, when I upgraded from jessie to stretch I could not use it in my 3B+. However, and this was a surprise to me, when I reinstalled in back into my 3B my web did not work - as it didn't in the 3B+ w/ the initial downloaded os. I am not quite through because the downloaded 3B+ os fits well into my ...
by akaodin
Sat Jan 05, 2019 8:34 pm
Forum: Raspbian
Topic: Correct version of DBI for perl 5,24
Replies: 20
Views: 1066

Re: Correct version of DBI for perl 5,24

Stay tuned. I am currently upgrading my 3B os from Jessie to Stretch (taking forever). I will then try that in my new 3B+. Then if that fails I will try the SD from the 3B+ into the 3B - to check if there is a hardware issue (don't know why I didn't try that earlier). Will update when finished.
by akaodin
Sat Jan 05, 2019 7:23 pm
Forum: Raspbian
Topic: Correct version of DBI for perl 5,24
Replies: 20
Views: 1066

Re: Correct version of DBI for perl 5,24

Think I am going to give up and buy an older 3B (not +). It is not worth the hasstle. I have spent the last several days just trying to et perl-mysql to work on the web - absolutely no luck.
by akaodin
Fri Jan 04, 2019 7:58 pm
Forum: Raspbian
Topic: Correct version of DBI for perl 5,24
Replies: 20
Views: 1066

Re: Correct version of DBI for perl 5,24

Thx very much for your help. I will post if I do get a solution. Meanwhile I am trying to load my 3B os onto the 3B+.
by akaodin
Fri Jan 04, 2019 4:48 pm
Forum: Raspbian
Topic: Correct version of DBI for perl 5,24
Replies: 20
Views: 1066

Re: Correct version of DBI for perl 5,24

When I enter perlbrew available I get
cperl-5.26.4
cperl-5.29.0
cperl-5.28.1
cperl-5.24.4
cperl-5.28.0
by akaodin
Fri Jan 04, 2019 4:40 pm
Forum: Raspbian
Topic: Correct version of DBI for perl 5,24
Replies: 20
Views: 1066

Re: Correct version of DBI for perl 5,24

Really appreciate all the help you have been. I checked and have the latest libdbd-mysql-perl. Here is my problem. I have a file test.pl which is intended to open a mysql(mariadb) db. When I run it from the command line it works. When I try to run it from the web script it produces the dreaded "Conn...
by akaodin
Fri Jan 04, 2019 12:01 am
Forum: Raspbian
Topic: Correct version of DBI for perl 5,24
Replies: 20
Views: 1066

Re: Correct version of DBI for perl 5,24

New wrinkle. Use the same script to create the same table in mysql. It worked. Unfortunately, it doesn't work w/ the web. Frustrating, but I am progressing. Need more advice/suggestions. Thx.
by akaodin
Thu Jan 03, 2019 11:51 pm
Forum: Raspbian
Topic: Correct version of DBI for perl 5,24
Replies: 20
Views: 1066

Re: Correct version of DBI for perl 5,24

Guess that was right. When I simply execute the file (tst1.pl) from the command line I get
DBD::SQLite::db do failed: table COMPANY already exists at ./tst1.pl line 22
Evidently the DBD is working, but not for perl on the web. Or am I missing smething?
by akaodin
Thu Jan 03, 2019 11:46 pm
Forum: Raspbian
Topic: Correct version of DBI for perl 5,24
Replies: 20
Views: 1066

Re: Correct version of DBI for perl 5,24

Everytime it tries the line: my $rv = $dbh->do($stmt) it tries to reset the connection while the page is loading (????)
Maybe it works from the command line, but not a web script. I need the web script to work as it did in the past on my 3B. Am I doing something wrong?
by akaodin
Thu Jan 03, 2019 11:34 pm
Forum: Raspbian
Topic: Correct version of DBI for perl 5,24
Replies: 20
Views: 1066

Re: Correct version of DBI for perl 5,24

Maybe this is a clue. When I use strict immediately after use DBI I get an error. I will try to check that out.
by akaodin
Thu Jan 03, 2019 11:28 pm
Forum: Raspbian
Topic: Correct version of DBI for perl 5,24
Replies: 20
Views: 1066

Re: Correct version of DBI for perl 5,24

Thx much for replying. I tried the apt -y --install ... and it did something. But when I tried the test again it still failed. The test is use DBI $db = DBI->connect("dbi:mysql:checks","root","my_root_passwd"); On the raspberry pi 3B it returns "DBI"db=HASH(0xf994e8)" On the raspberry pi 3 B+ it is ...
by akaodin
Thu Jan 03, 2019 10:02 pm
Forum: Raspbian
Topic: Correct version of DBI for perl 5,24
Replies: 20
Views: 1066

Correct version of DBI for perl 5,24

I have been successfully using Raspberry Pi 3B w/ perl 5.20.2 and DBI VERSION 1.631. Am now trying to duplicate the same applications on my new Raspberry Pi 3B+ (since it only works w/ the newer version of Raspbian). I have (apt-get) installed Perl 5.24.1 and DBI VERSION 1.636. Unfortunately, the ne...
by akaodin
Wed Apr 11, 2018 6:05 pm
Forum: Troubleshooting
Topic: [Solved] I get Unable to open SPI device: Permission denied
Replies: 6
Views: 5879

Re: [Solved] I get Unable to open SPI device: Permission denied

I needed to reboot to make it work. Thanks.
by akaodin
Wed Apr 11, 2018 5:52 pm
Forum: Troubleshooting
Topic: [Solved] I get Unable to open SPI device: Permission denied
Replies: 6
Views: 5879

Re: [Solved] I get Unable to open SPI device: Permission denied

I ran adduser www-data spi ( which acknowledged that it indeed added the www-data user ) then ls -l /dev/spi* and got: crw-rw---- 1 root spi 153, 1 Apr 9 17:29 /dev/spidev0.1 crw-rw---- 1 root spi 153, 0 Apr 9 17:29 /dev/spidev0.0 what happened? shouldn't www-data also be there?
by akaodin
Sat Apr 07, 2018 3:18 pm
Forum: Advanced users
Topic: error with luma.led_matrix
Replies: 17
Views: 1920

Re: error with luma.led_matrix

Forgot to thank you all for all your help. Actually you kept me going and helped me greatly. Actually, couldn't have fixed it w/o your help. Thx again.
by akaodin
Sat Apr 07, 2018 3:17 pm
Forum: Advanced users
Topic: error with luma.led_matrix
Replies: 17
Views: 1920

Re: error with luma.led_matrix

Finally got it. Seems that the install pkgs did create the luma/led_matrix however never placed it in the correct path: /usr/local/lib/python3.4/dist-packages/luma.core-1.7.2-py3.4.egg Maybe something i different on my system. I am not sure. But that was the problem. When I cp'ed it all was ok.
by akaodin
Sat Apr 07, 2018 2:34 am
Forum: Advanced users
Topic: error with luma.led_matrix
Replies: 17
Views: 1920

Re: error with luma.led_matrix

Sorry, I'm not sure what Code tags mean or how to use them. I will Google it tomorrow. Thx.
by akaodin
Fri Apr 06, 2018 10:51 pm
Forum: Advanced users
Topic: error with luma.led_matrix
Replies: 17
Views: 1920

Re: error with luma.led_matrix

Maybe you mean the '/' between luma and led_matrix. If so, then I do not understand. Again, pl explain. Thx.

Go to advanced search